<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aop="http://www.springframework.org/schema/aop"
       xmlns:context="http://www.springframework.org/schema/context" xmlns:tx="http://www.springframework.org/schema/tx"
       xmlns:p="http://www.springframework.org/schema/p"
       xsi:schemaLocation="
http://www.springframework.org/schema/beans
http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
http://www.springframework.org/schema/aop
http://www.springframework.org/schema/aop/spring-aop-3.0.xsd
http://www.springframework.org/schema/tx 
http://www.springframework.org/schema/tx/spring-tx-2.0.xsd
http://www.springframework.org/schema/context
http://www.springframework.org/schema/context/spring-context-3.0.xsd">
    
    <context:annotation-config />
    <context:component-scan base-package="mx.com.miniso.maestro.dao" />
    <context:component-scan base-package="mx.com.miniso.maestro.dao.compras" />
    <context:component-scan base-package="mx.com.miniso.maestro.service" />
    
    <bean id="multipartResolver" class="org.springframework.web.multipart.commons.CommonsMultipartResolver"/>

    <!-- Principal APP DB -->
    <bean id="sessionFactoryCompras"
          class="org.springframework.orm.hibernate4.LocalSessionFactoryBean">
        <property name="dataSource" ref="dataSourceCompras" />
        <property name="annotatedClasses">
            <list>
                <value>mx.com.miniso.maestro.dto.compras.ProductoCompras</value>
            </list>
        </property>
        
        <property name="hibernateProperties">
            <props>
                <prop key="dialect">org.hibernate.dialect.SQLServerDialect</prop>     
                <prop key="current_session_context_class">thread</prop>
                <prop key="hibernate.show_sql">true</prop>
                <prop key="hibernate.enable_lazy_load_no_trans">true</prop>
            </props>
        </property>
    </bean>

    <bean id="sessionFactory"
          class="org.springframework.orm.hibernate4.LocalSessionFactoryBean">
        <property name="dataSource" ref="dataSource" />
        <property name="annotatedClasses">
            <list>
                <value>mx.com.miniso.maestro.dto.CatMaestro</value>
                <value>mx.com.miniso.maestro.dto.Goods</value>
                <value>mx.com.miniso.maestro.dto.Input</value>
                <value>mx.com.miniso.maestro.dto.Rol</value>
                <value>mx.com.miniso.maestro.dto.Sesion</value>
                <value>mx.com.miniso.maestro.dto.Usuario</value>
                <value>mx.com.miniso.maestro.dto.Navegacion</value>
            </list>
        </property>
        
        <property name="hibernateProperties">
            <props>
                <prop key="dialect">org.hibernate.dialect.SQLServerDialect</prop>     
                <prop key="current_session_context_class">thread</prop>
                <prop key="hibernate.show_sql">true</prop>
                <prop key="hibernate.enable_lazy_load_no_trans">true</prop>
            </props>
        </property>
    </bean>

    <bean id="dataSourceCompras" class="org.springframework.jndi.JndiObjectFactoryBean">
        <property name="jndiName" value="Compras"/>
    </bean>

    <bean id="dataSource" class="org.springframework.jndi.JndiObjectFactoryBean">
        <property name="jndiName" value="CatalogoMaestro"/>
    </bean>

    <bean id="transactionManager"
          class="org.springframework.orm.hibernate4.HibernateTransactionManager"
          p:sessionFactory-ref="sessionFactory">
    </bean>
    
    <tx:annotation-driven transaction-manager="transactionManager" />
</beans>